// CMD Commands
// echo %CLASSPATH%
// set classpath=.;./Lib/*
// echo %CLASSPATH%
// .;./Lib/*

//STEP 1. Import required packages
import java.sql.*;

public class FirstExample {


    public static void main(String[] args) {
        Connection conn = null;
        Statement stmt = null;
        try{

            //STEP 2: Open a connection mentioning driver name and database location
            System.out.println("Connecting to database...");
			//conn=DriverManager.getConnection("jdbc:ucanaccess:////D:\\Code\\myDB.accdb");
            conn=DriverManager.getConnection("jdbc:ucanaccess://myDB.accdb");

            //STEP 3: Get a statement object so that you'll be able to execute queries on DBMS
            System.out.println("Creating statement...");
            stmt = conn.createStatement();

			//STEP 4: Write and execute a query and get result in ResultSet
            String sql;

            sql = "SELECT * FROM Student";
            ResultSet rs = stmt.executeQuery(sql);

            //STEP 5: Extract data from result set
            while(rs.next())
			{
                //Retrieve by column name/you can retrieve by column index as well
                int id  = rs.getInt("id");
                String name = rs.getString("name");
                //String address = rs.getString("address");

                //Display values
                System.out.print("ID: " + id);
                System.out.print(" , NAME: " + name);
                //System.out.println(", ADDRESS: " + address);
            }

			//Execute some DML query i.e. Update/Delete/Insert
			stmt.executeUpdate("INSERT INTO Student(name) values('bilal')");
			stmt.executeUpdate("Delete from Student where name='Hassan'");

            //STEP 6: Clean-up environment
            rs.close();
            stmt.close();
            conn.close();
        }catch(SQLException se){
            //Handle errors for JDBC
            se.printStackTrace();
        }catch(Exception e){
            //Handle errors for Class.forName
            e.printStackTrace();
        }finally{
            //finally block used to close resources
            try{
                if(stmt!=null)
                    stmt.close();
            }catch(SQLException se2){
            }// nothing we can do
            try{
                if(conn!=null)
                    conn.close();
            }catch(SQLException se){
                se.printStackTrace();
            }//end finally try
        }//end try
        System.out.println("Goodbye!");
    }//end main
}//end FirstExample